Subject: SelectViewHelper throws fatal error on PHP 5.2
Description

Calling the SelectViewHelper leads to the following

Fatal Error: Objects used as arrays in post/pre increment must return value by reference in ... SelectViewHelper on Line 171.

History
#1 - 2010-07-08 21:39 - Jochen Rau

See comments in reference

http://php.net/manual/de/class.arrayaccess.php

#2 - 2010-07-12 11:59 - Bastian Waidelich
- Status changed from New to Accepted
- Assigned To set to Bastian Waidelich
- Branch set to v4 + v5

#3 - 2010-07-26 16:43 - Bastian Waidelich
- Status changed from Accepted to Needs Feedback

Hi Jochen and sorry for the late reaction.
I just tried to reproduce this and failed..

<f:form.select options="{objects}"...

with {objects} being an ArrayObject of objects does not trigger an error on PHP 5.2.6.

Do you have an example at hand?

#4 - 2010-08-03 13:01 - Bastian Waidelich
- Assigned To changed from Bastian Waidelich to Jochen Rau

#5 - 2010-09-17 18:07 - Bastian Waidelich

Bastian Waidelich wrote:

I just tried to reproduce this and failed..
http://php.net/manual/de/class.arrayaccess.php


[...]
with {objects} being an ArrayObject of objects does not trigger an error on PHP 5.2.6.

..of course I failed - it only occurs on 5.2.0
changing

foreach ($this->arguments['options'] as $key => $value) {

to

$options = $this->arguments['options'];
foreach ($options as $key => $value) {

should fix this.

#6 - 2010-10-11 13:12 - Karsten Dambekalns
- Branch changed from v4 + v5 to v4

Since it's only PHP 5.2 I change the branch to v4 only.

#7 - 2010-12-14 18:52 - Bastian Waidelich
- Assigned To changed from Jochen Rau to Bastian Waidelich

I'll take care

#8 - 2010-12-14 19:21 - Bastian Waidelich
- Status changed from Needs Feedback to Resolved
- % Done changed from 0 to 100

Applied in changeset r3362
